# Interface ILevelParagraphStylePropertiesOptions

#### Hierarchy

- ILevelParagraphStylePropertiesOptions
  - IParagraphStylePropertiesOptions

- Defined in src/file/paragraph/properties.ts:17

#####
Index

### Properties

alignment
contextualSpacing
indent
keepLines
keepNext
leftTabStop
outlineLevel
rightTabStop
spacing
thematicBreak

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

- Defined in src/file/paragraph/properties.ts:18

### `Optional` `Readonly` contextualSpacing

contextualSpacing?: boolean

- Defined in src/file/paragraph/properties.ts:20

### `Optional` `Readonly` indent

indent?: IIndentAttributesProperties

- Defined in src/file/paragraph/properties.ts:23

### `Optional` `Readonly` keepLines

keepLines?: boolean

- Defined in src/file/paragraph/properties.ts:26

### `Optional` `Readonly` keepNext

keepNext?: boolean

- Defined in src/file/paragraph/properties.ts:25

### `Optional` `Readonly` leftTabStop

leftTabStop?: number

- Defined in src/file/paragraph/properties.ts:22

### `Optional` `Readonly` outlineLevel

outlineLevel?: number

- Defined in src/file/paragraph/properties.ts:27

### `Optional` `Readonly` rightTabStop

rightTabStop?: number

- Defined in src/file/paragraph/properties.ts:21

### `Optional` `Readonly` spacing

spacing?: ISpacingProperties

- Defined in src/file/paragraph/properties.ts:24

### `Optional` `Readonly` thematicBreak

thematicBreak?: boolean

- Defined in src/file/paragraph/properties.ts:19

Generated using TypeDoc